#include "aled.h"  // Indoor Corgi アドレサブルRGB LED制御ライブラリを使用

// アドレサブルRGB制御用のALEDクラスを使う
//  デフォルトは全チャネルに同じデータを送信
//  チャネル1と3だけの場合は CH1|CH3 のようにする
//  LED数は使うデバイスに合わせる
ALED aled(CH1 | CH2 | CH3 | CH4 | CH5, 34);

void setup() {
  // 使うピンを出力に設定
  pinMode(14, OUTPUT);  // チャネル1 Pin14, PC0
  pinMode(15, OUTPUT);  // チャネル2 Pin15, PC1
  pinMode(16, OUTPUT);  // チャネル3 Pin16, PC2
  pinMode(17, OUTPUT);  // チャネル4 Pin17, PC3
  pinMode(18, OUTPUT);  // チャネル5 Pin18, PC4
  pinMode(8, OUTPUT);   // LED

  // 表示する模様の色、模様を指定する
  aled.color.hue = 0.0f;
  aled.color.sat = 100.0f;
  aled.color.val = 100.0f;
  aled.colorPattern.hue = 360.0f;
  aled.pattern = ALED::patGrad;  // グラデーション模様を選択

  aled.val = 0.0f;        // 消灯からスタートする
  aled.posChange = 1.0f;  // 移動アニメーションも併用
}

void loop() {
  // 点滅するアニメーション
  aled.valChange = 2.0f;  // 1ステップのアニメーションで明るさを2増やす
  aled.animation(50);  // アニメーションを50ステップ実行(明るさ100になるまで)

  // aled.valChange = 0.0f;  // アニメーションで明るさを変更しない
  aled.animation(100);    // アニメーションを100ステップ実行(移動のみ)

  aled.valChange = -2.0f;  // 1ステップのアニメーションで明るさを2減らす
  aled.animation(50);  // アニメーションを50ステップ実行(明るさ0になるまで)
}
